/*
** SellaNMS
** $Id: export.cxx,v 1.6 2005/03/31 18:57:12 sella Exp $
** Copyright (c) 2001-2005 Digital Genesis Software, LLC. All Rights Reserved.
** Released under the GPL Version 2 License.
** http://www.digitalgenesis.com
*/

#include "export.h"
#include "debug.h"

/**
	Get an instance of an Syslog module.
*/
Syslog* getInstance() {
	ENTER(FLAG_TRACE_1, "Syslog* getInstance(void)");

	Syslog *ret_val = new Syslog();
	if (!ret_val) {
		DMSG(FLAG_INVALID_OBJECT, "Could not allocate new Syslog instance.");
	}

	RETURN(ret_val);
}

/*
** Local Variables:
** c-basic-offset: 3
** tab-width: 3
** End:
** vim600: fdm=marker
** vim: noet ts=3 sw=3
*/
